Bug 738183 - gnome-shell crashes or hangs with "no screen found" in Xorg log
Summary: gnome-shell crashes or hangs with "no screen found" in Xorg log
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: i686
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 09:50 UTC by Ilkka Tengvall
Modified: 2012-08-07 14:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:45:54 UTC


Attachments (Terms of Use)
xorg log for the time xorg get's stuck (10.60 KB, application/octet-stream)
2011-10-27 07:35 UTC, Ilkka Tengvall
no flags Details

Description Ilkka Tengvall 2011-09-14 09:50:42 UTC
Description of problem:

My f15 laptop GUI hangs once in a while, likely related to wlan activity. Typically it hangs while changing desktops on gnome-shell by pressing ctrl-alt-<arrow keys>. Also it gets stuck often (can't even access console) with blank window while entering sleep or coming back from there. They might be separate cases, but I'm not sure.


Version-Release number of selected component (if applicable):

$ rpm -q gnome-shell fedora-release xorg-x11-drv-intel  kernel
gnome-shell-3.0.2-4.fc15.i686
fedora-release-15-3.noarch
xorg-x11-drv-intel-2.15.0-5.fc15.i686
kernel-2.6.40.4-5.fc15.i686



How reproducible:

Seemingly randomly, but requires that wlan is turned on. Closing the laptop lid to go to sleep hangs it (or coming back by openening it). Also sometimes sliding between the desktops.


Steps to Reproduce:
1. make sure wlan is enabled, can be using ethernet anyway
2. ctrl-alt-<arrow down> in gnome-shell

  
Actual results:

screen get's stuck at the transition effect, and this is found from logs:

dmesg:
---------------------------------
[ 2161.471377] <14>NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): new Bluetooth device (driver: 'bluez' ifindex: -1)
[ 2161.471396] <14>NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): exported as /org/freedesktop/NetworkManager/Devices/3
[ 2161.471410] <14>NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): now managed
[ 2161.495117] <14>NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
[ 2162.369907] packagekitd[3023]: segfault at 8 ip 08058154 sp bfc3c100 error 4 in packagekitd[8048000+52000]
[ 2162.418058] <27>abrtd[1134]: Unrecognized variable 'DumpLocation' in '/etc/abrt/abrt.conf'
[ 2162.565796] <27>abrtd[1134]: Directory 'ccpp-2011-09-14-10:06:39-3023' creation detected
---------------------------------

/var/log/messages:
---------------------------------
Sep 14 10:06:25 pikkud NetworkManager[1140]: <info> BT device 00:1C:D4:XX:XX:XX removed
Sep 14 10:06:25 pikkud NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): now unmanaged
Sep 14 10:06:25 pikkud NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
Sep 14 10:06:25 pikkud NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): cleaning up...
Sep 14 10:06:25 pikkud NetworkManager[1140]: <info> (00:1C:D4:XX:XX:XX): taking down device.
Sep 14 10:06:25 pikkud gnome-session[1739]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.#012
---------------------------------

/var/log/Xorg.0.log is unfortunately gone, but it has something like "(EE) no screen found"



Expected results:

not to hang


Additional info:

I will try to get better logs after this hits me again, please guide what you need to help solve this. This is a bitch, since it makes it a misery to try to do work on the laptop.

This started happening about half a year ago, before that the fedora worked great on the laptop for about year and a half.

Comment 1 Ilkka Tengvall 2011-09-14 09:52:34 UTC
sorry, forgot the machine details, it's Dell with Intel chips:

Dell e4200
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
02:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
02:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
0c:00.0 Network controller: Intel Corporation WiFi Link 5100

Comment 2 Ilkka Tengvall 2011-10-27 07:33:42 UTC
now after I had disabled wlan, and removed module dell_wmi, which both I suspected have effect on this, it crashed again. So neither wlan or dell_wmi has effect on this.

It seems X somehow stops working, I have X.org log now. One thing to mention is that the machine was asleep half an hour before this happened. But again, it happened in gnome-shell, doing fast <ctrl>+<alt>+<down>,<ctrl>+<alt>+<down>,<ctrl>+<alt>+<down>, <ctrl>+<alt>+<up>.

It always get's stuck in middle of gnome shell transition effect. I do the sequence due I have gnome-terminal open in workspace 1, then try moving to workspace 3 having web browser open, but accidentally go one worspace too far and try going back one workspace. Thus the sequence.

----------------------------------------
[    56.965] (**) intel(0): SwapBuffers wait enabled
[    56.965] (==) intel(0): video overlay key set to 0x101fe
[    56.965] (EE) intel(0): failed to get resources: Bad file descriptor
[    56.965] (II) UnloadModule: "intel"
[    56.965] (II) Unloading intel
[    56.965] (EE) Screen(s) found, but none have a usable configuration.
[    56.965] 
Fatal server error:
[    56.965] no screens found
[    56.965] 
----------------------------------------

Comment 3 Ilkka Tengvall 2011-10-27 07:35:31 UTC
Created attachment 530437 [details]
xorg log for the time xorg get's stuck

Comment 4 Fedora End Of Life 2012-08-07 14:45:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.